MetadataEvent (Java SE 26 & JDK 26)
Description: declaration: module: jdk.jfr, package: jdk.jfr.consumer, class: MetadataEvent
Keywords: jdk.jfr.consumer.MetadataEvent class

# Class MetadataEvent

java.lang.Object
jdk.jfr.consumer.MetadataEvent

public final class MetadataEvent extends Object
Event that contains information about event types and configurations.

Since:
  16

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final List<EventType>`
  `getAddedEventTypes()`
  Returns a list of added event types since the last metadata event.
  `List<Configuration>`
  `getConfigurations()`
  Returns a list of configurations.
  `final List<EventType>`
  `getEventTypes()`
  Returns a list of the current event types being used.
  `final List<EventType>`
  `getRemovedEventTypes()`
  Returns a list of removed event types since the last metadata event.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Method Details

  - ### getEventTypes

    public final List<EventType> getEventTypes()
    Returns a list of the current event types being used.
    Returns:
      an immutable list of event types, not `null`

  - ### getAddedEventTypes

    public final List<EventType> getAddedEventTypes()
    Returns a list of added event types since the last metadata event.

    The delta will be from the last metadata event. If no metadata event has been emitted earlier, all known event types will be in the list.

    Returns:
      an immutable list of added event types, not `null`

  - ### getRemovedEventTypes

    public final List<EventType> getRemovedEventTypes()
    Returns a list of removed event types since the last metadata event.

    The delta will be from the last metadata event. If no metadata event has been emitted earlier, the list will be empty.

    Returns:
      an immutable list of removed event types, not `null`

  - ### getConfigurations

    public List<Configuration> getConfigurations()
    Returns a list of configurations.
    Returns:
      an immutable list of configurations, not `null`